| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csCubicSpline Class Reference
[Geometry utilities]

A cubic spline. More...

`#include <csgeom/spline.h>`

Inheritance diagram for csCubicSpline:

[legend]
List of all members.

## Public Member Functions
virtual void | Calculate (float time)
| Calculate internal values for this spline given some time value.
| csCubicSpline (int d, int p)
| Create a cubic spline with d dimensions and p points.
virtual float | GetInterpolatedDimension (int dim) const
| After calling Calculate() you can use this to fetch the value of some dimension.
virtual | ~csCubicSpline ()
| Destroy the spline.

## Detailed Description

A cubic spline.

Definition at line 151 of file spline.h.

## Constructor & Destructor Documentation

csCubicSpline::csCubicSpline | ( | int | d,
|  | int | p |
| ) |  |  |

Create a cubic spline with d dimensions and p points.

virtual csCubicSpline::~csCubicSpline | ( |  | ) | `[virtual]`

Destroy the spline.

## Member Function Documentation

virtual void csCubicSpline::Calculate | ( | float | time | ) | `[virtual]`

Calculate internal values for this spline given some time value.

Implements csSpline.

virtual float csCubicSpline::GetInterpolatedDimension | ( | int | dim | ) | const`[virtual]`

After calling Calculate() you can use this to fetch the value of some dimension.

Implements csSpline.

The documentation for this class was generated from the following file:

- csgeom/spline.h